Issue 7911

Summary: Floating tables: Word file with large table doesn't open properly
Product: Writer Reporter: Unknown <non-migrated>
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: general, issues
Version: OOo 1.0.1Keywords: ms_interoperability, oooqa
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: FEATURE Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
WordXP file that won't open properly in OO1.0.1 none

Description Unknown 2002-09-26 23:09:13 UTC
The attached Word file opens properly in MS Word XP, it 11 pages long has about
700 rows.

In OpenOffice 1.0.1 running on Windows XP, it opens 2 pages with only about 100
of the rows display. The cursor is blinking and the height of the entire page.
Comment 1 Unknown 2002-09-26 23:11:13 UTC
Created attachment 2977 [details]
WordXP file that won't open properly in OO1.0.1
Comment 2 caolanm 2002-09-27 09:15:41 UTC
A floating table, so inserted as a table inside a frame, frames cannot
be split over multiple pages when their contents grow too large to fit...
Comment 3 Unknown 2002-09-27 09:24:08 UTC
So can OO be fixed so that it can open/display the file the same as Word?
Comment 4 caolanm 2002-09-27 09:40:52 UTC
e.g.
If you change the table in word from 
table properties->text wrapping->around to text wrapping->none,  and
import that to writer, you'll get a better import.
Comment 5 caolanm 2002-09-27 09:42:55 UTC
Some deep thought required on this issue, make frames split over pages
? or implement native floating tables in writer that can themselves
break over pages ? I don't think there is anything that the .doc
import can do without layout support to make this happen in the short
term.
Comment 6 Unknown 2002-12-01 00:06:25 UTC
Hello,

I replicated this using build OOW 643C. 

After downloading gurulabs attached file I opened it in MSWORD 
(Office XP). The 11 page-long doc contains a 7-page-long table and a 
similar 4-page-long table. Opening in OOW643C it was just two pages.

I deleted the second table from gurulabs original doc in MSWORD and 
tried to open it again in OOW. There was just one page and the last 
part of the table did not come up. 
It is clear, that when a frame contains a table more than one page 
long in MSWORD, OOW will show only the first page. 

However, the content is not lost! If you copy and paste the content 
of the table page-by-page in OOW, you can handle this problem 
manually. (At least it worked for me)

I use 
WINDOWS XP Professional Version 2002 with SP1, 
Intel Pentium III Processor, 450 MHz, and
128 MB of RAM.
Comment 7 ingenstans 2003-05-18 19:01:24 UTC
I think we can cetainly confirm this issue. Doing so.
Comment 8 michael.ruess 2003-05-28 14:12:12 UTC
MRU->MIB: As discussed between you and SBA/AMA, this is one for the
MIB-compatibility collection. As CMC pointed out, there are two ways
of "fixing":
1. give frames the ability to split over pages, or
2. implement native floating tables (ability to have text wrap around
tables).
Comment 9 michael.brauer 2003-06-11 14:04:24 UTC
Verified by OBR
Comment 10 michael.brauer 2003-06-11 14:05:05 UTC
took over bug again
Comment 11 lennoni 2003-10-23 08:52:17 UTC
This issue continues to be  a problem in 1.1 
Comment 12 michael.brauer 2003-10-30 11:12:15 UTC
.
Comment 13 frank.meies 2003-11-20 12:42:23 UTC
Since we currently do not have 'floating tables', I consider this a
'feature', or at least an 'enhancement'.
Comment 14 frank.meies 2003-12-18 08:13:32 UTC
.
Comment 15 frank.meies 2004-03-15 10:29:00 UTC
Changed title.
Comment 16 andreas.martens 2004-06-22 13:14:31 UTC
We implemented tables with page break for OOo2.0. We will not implement floating
tables for OOo2.0, because of a shortage of resources. 
Comment 17 eric.savary 2009-10-29 02:16:31 UTC
*** Issue 106404 has been marked as a duplicate of this issue. ***
Comment 18 kpalagin 2010-03-04 19:04:37 UTC
Please consider this issue for 3.x.